"""create table for contactforms
Revision ID: 2a3b4c5d6e7f
Revises: 0001
Create Date: 2023-05-22 14:39:12.123456

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func


# revision identifiers, used by Alembic.
revision = '2a3b4c5d6e7f'
down_revision = '0001'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'contactforms',
        sa.Column('id', sa.String(36), primary_key=True),
        sa.Column('name', sa.String(), nullable=False),
        sa.Column('email', sa.String(), nullable=False),
        sa.Column('message', sa.Text(), nullable=False),
        sa.Column('created_at', sa.String(36), server_default=func.now()),
        sa.Column('updated_at', sa.String(36), onupdate=func.now())
    )


def downgrade():
    op.drop_table('contactforms')